Package io.papermc.paper.event.player

# Enum Class PlayerBedFailEnterEvent.FailReason

java.lang.Object
java.lang.Enum<PlayerBedFailEnterEvent.FailReason>
io.papermc.paper.event.player.PlayerBedFailEnterEvent.FailReason

All Implemented Interfaces:
  `Serializable`, `Comparable<PlayerBedFailEnterEvent.FailReason>`, `Constable`

Enclosing class:
  PlayerBedFailEnterEvent

public static enum PlayerBedFailEnterEvent.FailReason extends Enum<PlayerBedFailEnterEvent.FailReason>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`NOT_POSSIBLE_HERE`
The world doesn't allow sleeping (ex.
`NOT_POSSIBLE_NOW`
Entering the bed is prevented due to it not being night nor thundering currently.
`NOT_SAFE`
Entering the bed is prevented due to there being monsters nearby.
`OBSTRUCTED`
Bed is obstructed.
`OTHER_PROBLEM`
Entering the bed is prevented due to there being some other problem.
`TOO_FAR_AWAY`
Entering the bed is prevented due to the player being too far away.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final PlayerBedFailEnterEvent.FailReason[]`
`VALUES`

## Method Summary

Modifier and Type
Method
Description
`static PlayerBedFailEnterEvent.FailReason`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PlayerBedFailEnterEvent.FailReason[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NOT_POSSIBLE_HERE

public static final PlayerBedFailEnterEvent.FailReason NOT_POSSIBLE_HERE
The world doesn't allow sleeping (ex. Nether or The End). Entering the bed is prevented and the bed explodes.

### NOT_POSSIBLE_NOW

public static final PlayerBedFailEnterEvent.FailReason NOT_POSSIBLE_NOW
Entering the bed is prevented due to it not being night nor thundering currently.

If the event is forcefully allowed during daytime, the player will enter the bed (and set its bed location), but might get immediately thrown out again.

### TOO_FAR_AWAY

public static final PlayerBedFailEnterEvent.FailReason TOO_FAR_AWAY
Entering the bed is prevented due to the player being too far away.

### OBSTRUCTED

public static final PlayerBedFailEnterEvent.FailReason OBSTRUCTED
Bed is obstructed.

### OTHER_PROBLEM

public static final PlayerBedFailEnterEvent.FailReason OTHER_PROBLEM
Entering the bed is prevented due to there being some other problem.

### NOT_SAFE

public static final PlayerBedFailEnterEvent.FailReason NOT_SAFE
Entering the bed is prevented due to there being monsters nearby.

## Field Details

### VALUES

public static final PlayerBedFailEnterEvent.FailReason[] VALUES

## Method Details

### values

public static PlayerBedFailEnterEvent.FailReason[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static PlayerBedFailEnterEvent.FailReason valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null